Index

Sothink SWF Decompiler

Sothink SWF Decompiler is a tool to browse and parse Shockwave Flash movies (.swf files). It can extract shape, image, sound, Flash Video (*.flv), font, text, movie clip, button and frame from a Flash movie. What's more, SWF Decompiler can decompile the action scripts in a Flash movie and turn them into neat and readable code.

  • Click here to learn more about this tool.
  • Click here to know how to capture flash movie from browser.
  • Click here to see working area guide.
  • Click here to know how to extract an element from flash movie.

©2001-2004 SourceTec Software Co., LTD. All rights reserved. Having any question, please contact support@sothink.com.


Introduction & Features

Introduction

Sothink SWF Decompiler is a tool to browse, view and parse Shockwave Flash movies (.swf files). Following are the advantages of using Sothink SWF Decompiler:

>> Capture Flash Movies

After you install Sothink SWF Decompiler, a small button of Sothink SWF Catcher [image] , an assistant tool of SWF Decompiler, will be added to Internet Explorer's toolbar. While you are viewing a page including flash, click this Catcher button [image] or right-click and select "Sothink SWF Catcher" to get the flash movie file. Learn how to capture flash movie >>

>> Browse

Sothink SWF Decompiler has an explorer-like interface that lets users browse hard disk or network to find Flash movies. It also supports to scan your Internet Explorer's cache to pick out the flash movies you have viewed. Users can invoke SWF Decompiler from Windows Explorer.

>> View

Sothink SWF Decompiler has a build-in Flash viewer to view and play the Flash movies, no matter the *.swf files, Flash Video (.flv) file, or the stand-alone Flash movies which have been packaged to *.exe files.

>> Parse and Decompile

Sothink SWF Decompiler is professional on parsing and decompiling all the Flash movies. It displays all components of a movie in groups, such as Shape, Image, Sound, Flash Video, Font, Text, Sprite, button and Frame . Furthermore, Sothink SWF Decompiler "reads" the action script of the movie and shows the neat code with syntax highlighted. You will find out almost everything in a Flash movie by using Sothink SWF Decompiler.

>> Export

Sothink SWF Decompiler can extract the shapes, sounds, images, sprites, fonts, text and action scripts from a Flash movie. Besides *.swf format, the resources can be exported in their common formats so you can use them in other applications. E.g. the images can be exported in jpeg and bmp formats. The sounds can be exported in mp3 or wav formats. The action scripts can be exported to text file(s). The shapes can be exported in the format used by Sothink Glanda .

>> Compatible with Action Script 2.0

Sothink SWF Decompiler supports Flash MX 2004 (Flash 7.0) and Action Script 2.0 completely. It can decompile the code written in Action Script 2.0 principle and display the readable code in Action Script window. And supports copying/finding text in Action Script code.

>> Support Flash Video (.flv) file

Sothink SWF Decompiler can extract the video file from a flash movie and export it in *.flv format.

Features List

  1. Provide a user-friendly interface to quickly browse and play SWF on your hard drive or network.
  2. Extract the resources of SWF and sorts them in several formats.
  3. Decompile the action script code and generates neat and readable code.
  4. Compatible with Action Script 2.0.
  5. Support exporting any selected element or all elements.
  6. Support Flash movies in both *.SWF format and *.exe format.
  7. Support scaning the cache of IE and listing all flash files you have viewed.
  8. Enable to browse and preview any resource before exporting.
  9. Show detail properties of elements in Flash movies.
  10. Can be invoked from Windows Explorer.


Main Features

What's New in this version

New Features:

  • Support Flash MX 2004 (Flash 7.0) and Action Script 2.0 ;
  • Support extracting/exporting Flash Video (.flv) file;
  • Support extracting/exporting Morph Shape;
  • Support extracting/exporting other SWF tags (Import Assets, Export Assets, etc.);
  • More information about the extracted SWF tags (Bounding Box, Text string, etc.);
  • Add "Hex" tab in information dialog;
  • Suppor copying, deleting and renaming files in the Explorer Bar;
  • Add a "display line numbers" option for Action Script;
  • Support copying/finding text in Action Script;
  • New Windows XP theme compatible interface.

Fixed bugs:

  • Fixed the "file not found" error while browsing the files in Internet Explorer cache under Windows XP;
  • Crashed while parsing some damaged SWF files;
  • Some Action Script code were decompiled incorrectly.


Instruction of some words

Glossary

Shape & Image: Computers display graphics in either vector or bitmap format. Flash lets users create and animate compact vector graphics. It also supports users to import and manipulate bitmap graphics that have been created in other applications.

  • Shape: the vector graphics used in flash (*.swf file). Vector graphics describe images using lines and curves -- "vectors", which also include color and position properties. You can move, re-size, reshape, and change the color of a vector graphic without changing the quality of its appearance.
  • Image: graphics in bitmap format. Bitmap graphics describe images using colored dots -- "pixels", which are arranged within a grid. Bitmap graphics are resolution-dependent because the data describing the image is fixed to a grid of a particular size. Editing a bitmap graphic can change the quality of its appearance.
  • Morph Shape: refers the shapes in shape tween.

Sound: Refers the audio files used in this SWF file. Sothink SWF Decompiler supports to export sound in *.mp3 or *.wav format.

Video: Refers the Flash video files (*.flv).

Font: Refers the font-family used in this file.

Text: Shows the text content of this SWF file.

Sprite: Refers the "movie clip" used in this file. A movie clip symbol is like a self-contained movie that you can place in a host movie as if it was a single object. It can include animation and interactivity just like a regular movie.

Button: Refers the buttons of this file.

Frame: Refers the static graphics that are used to consist this flash movie.

Action: Shows the action scripts of this movie.


Capture Flash Movie

How to Get Movie from Browser

Sothink SWF Catcher is an assistant tool of Sothink SWF Decompiler. It is used to capture flash movie from IE browser.

Before you install Sothink SWF Decompiler, please make sure you have closed all IE browsers.
When you finish the installation, restart your IE browser.
You will find a small button of Sothink SWF Catcher [image] is added to Internet Explorer's toolbar.

Step one: Launch Sothink SWF Catcher

Generally, when you see a great flash movie, there are two ways to get it:

  1. Method 1: Click the "SWF Catcher " button [image] . (See 1 in following image)
  2. Method 2: Right-click and select "Sothink SWF Catcher " from the popup menu. (See 2 in following image)

Step two: Save a captured flash movie

Then the Save dialog will popup to show all the flash movies in this page.

  1. Choose moive you want to get:
    Check the box in front of the flash movie you want. You can also use "Select All" to choose all the flash files and "Deselect All" to uncheck all.
  2. Set a folder to save the captured movie:
    Click the arrow button besides "Save to" to set the file saved directory. You can browse and choose a folder to store the flash movie, or use the default or the last saved directory.
    The "default directory" can be set in Settings dialog.
    (Note: If you have not set the saved directory, the "Save" button may be gray out and not clickable.)
  3. Click "Save" button to store the flash movie to your local disk successfully.
    And if you pick the option, "Launch SWF Decompiler when closing this window", the SWF Decompiler program will be launched to show this movie automatically.

: refers this flash file has been saved in the cache of your IE browser.
: refers this flash file will be captured from internet directly and it has not been stored in browser's cache yet.

Tips:

If you see the flash movie in a pop-up IE window, which has no address bar and toolbar, please do as follows to capture it:

  1. Open a new blank IE browser window;
  2. Drag the IE icon [image] from pop-up window's address bar to this new window;
  3. The flash movie will be opened in this new window;
  4. Now you can use method 1 or 2 to to catch it.


Settings of Saving Captured File

Set a Directory to Save Captured File

Click the Settings button at the bottom of capture dialog to open this dialog.

Default save directory

Set a default folder to save the captured flash movie. The default directory will be displayed initially in the "Save to" box .

Last save directory: Set the directory in which you saved flash file last time as the default directory.

Specified: Browse and choose a directory as default.

If target file already exists

It's possible that two files have the same name or the same file already existed in the folder you choose. You can set how to operate in this condition.

Automatically rename: Give a new name to this file and save. It will automatically add a number beside the original name, such as ***[1].swf.

Overwrite: Always overwrite the older one with this file.

Skip: Pass over this file and continue.

Prompt me: Give a prompt dialog to let you choose a saving method.


Interface Instruction

Working Area Guide

When running Sothink SWF Decompiler, you will see its workspace as the screen image shown below.

Click any part of the dialog to get information about its purpose.

Menu bar Toolbar Explorer Preview Window Information Dialog Resource

Menu bar

The top gray bar is the Menu Bar. It lists all the commands menu.

Toolbar

The section with large icons is the Toolbar.

Quick Open: Click this button to open the "Quick Open" box. Then type in the location of a SWF file to open it in quick. Truly you can use "Browse..." to browse your local disk and choose a movie file.

Export: Click this button to open the Export dialog.

Movie Information: Click it you will see name, size, width, height, bg color, etc. of current selected SWF file.

Toggle Explorer Bar: Press down this button to show the Explorer bar. Release it to hide the Explorer.

Toggle Information Window: Press/Unpress this button to show/hide the tag information window.

Toggle Export Bar: Press/Unpress this button to show/hide the Export Bar.

Background Color: Click this button to load your system color dialog. Select a color as background color so as to view the object more clearly.

Change Action Script View Type: Click the arrow and choose a type to show the action script code.

  • Action Script: Default option; Show action script code in normal way.
  • P-Code: Show action script code as P-code.
  • Raw Data: Show script code in binary mode.

Explorer

Explorer panel is on the left side of the main working area of Sothink SWF Decompiler. It is also divided into two parts :

  • The top part displays your system folders as a tree, which is more like windows explorer.
  • When you choose a folder, the flash movie files in it will be listed in the bottom part. You can click [image] button to only show file list or click [image] to show details. The [image] "Goto..." function enables you to switch to a folder instantly.

Preview Window

Shows a preview of the currently selected object in this window.

Information Window

Under Preview area, there is the "Information Window", which has 4 tabs: General, Instance, Label and Hex.
After Sothink SWF Decompiler analyzes a flash file, by default, here will list the information of this file. When you pick a group of resource, here will list the information of this group's files. While you select only a file in the Resource panel, here will list the information only for this file.

Resource

Resource panel is on the right side of the main working area of Sothink SWF Decompiler.

When you select a flash file in the Explorer, Sothink SWF Decompiler will analyze it and show its resources here. You can click on [+] to expand the folder. When you want to export an element, you should check the square box in front of it. Click here to know details of how to export a flash movie.

If you want to know more about the groups , please click here.


Steps of importing/exporting a swf file

Export the elements of a SWF File

Steps

  1. Choose one swf file in Sothink SWF Decompiler. It will be shown in the Preview window. By default, when you choose the flash file, Sothink SWF Decompiler begins to analyze it and gather its components in groups. You can see the rate of processing in the status bar.
  2. When Sothink SWF Decompiler finishes the procession, it will list all the elements consisting this swf file on the right-hand. It groups them into: Shape, Image, Sound, Font, Text, Sprite, Button and Frame. Please click here to get detail instruction of groups.
  3. If a folder contains sub-contents, a [+] appears next to the folder icon. You can expand the folder to show the contents by clicking on the [+].
  4. When you expand a folder, you will see the elements. Click on each to view or play them one by one.
  5. In front of every element or folder, there is a square box. You can choose the element you want to export by checking this square box.
  6. Then click "Export" button. The Export dialog will pop up. Please select a folder where you want to store and click OK to finish.
  7. Sothink SWF Decompiler will create a folder in the same name with this swf file. You can find the exported files within this folder.

Exported File Format:

  • Shape file will be exported as *.gls or *.swf file by your choice. The *.gls format is used in Sothink Glanda.
  • Morph Shape file will be exported as *.gls or *.swf file.
  • Image file will be exported as jpg, bmp or swf.
  • Sound file will be exported in *.mp3, *.wav or *.swf format.
  • Video file can be exported as Flash Video (*.flv) or *.swf file.
  • The exported file of font, text, sprite, button, frame, misc will be exported in *.swf format.
  • Action file will be exported in *.txt or binary (*.bin) format.

Tips:

Using the exported file in Sothink Glanda:

Run Sothink Glanda program. If you want to use the shape element, please click "Shape" to view the shape panel. Then select the folder that stored the shape element from the drop-down box. The exported shape file will display. Then you can use it in Sothink Glanda.

Note: Only the exported shape, image, sound elements can be used in Sothink Glanda.


Customizing Your SWF Decompiler

Customize Your SWF Decompiler

Click "Option\Options..." menu to open the option dialog.

General

Browse SWF files without parsing: By checking this option, when you click a flash movie file, you can view it in the preview window before Decompiler analyzes it until you click the [+] sign to expand the resource folders.

Remember last used folder in Explorer: This option enables the Decompiler make your last used folder as default folder when you run this program next time.

Remember last export folder: This option lets the Decompiler regard your last export as the default export folder.

Remember ... files in Quicker Open dialog: Set the number of recent files that appears in the drop-down list of Quicker Open dialog.

Clear: Clicking this button will remove all the recent files from the drop-down list of Quicker Open dialog.

Action

In Action tab, you can view the result of your choice in the Example area.

Indent size (1-16): You can click the up/down arrow besides this box to adjust code indent. The indent range is 1-16.

Braces
Next line: To show the symbol { in the next line.
End of line: To show the symbol { at the end of this line.

Generate comments: If you check this option, the Decompiler will generate comments descriptions for action codes.

Enable Syntax Coloring: By selecting this option, the code will be shown in color.

Show selection margin: By choosing this option, there will be a gray margin on the left hand side of the Action Script Window, where the line number displays.

Show line number: Choose this option show line number of code.
Note: If you want to show line number, you should enable "selection margin" at first.


Frequently Asked Questions

  1. How do I export a shape?
    In Resource panel, please click on the [+] in front of Shape folder to expand it and show the contents. Click any shape to view it. Then pick the shape you want to export by checking the square box in front of it. Last, click the "Export..." button and select a directory to save. Now you have exported the shape successfully. Sothink SWF Decompiler supports exporting the shape in *.swf or *.gls format. You can choose either during exporting. The shape file in *.gls format can be used in Sothink Glanda.
  2. How do I export an image?
    To export an image by using Sothink SWF Decompiler, please click on the [+] in front of Image folder to expand it and show all the image files used in this SWF file. Click any image file to show it in preview window. Then pick the image you want by checking the square box in front of it. Last, click the "Export..." button and choose a valid save path. Now you have exported the shape successfully. Sothink SWF Decompiler supports exporting the image in jpg or bmp format. You can choose either during exporting.
  3. How do I export a sound?
    To export a Sound from a SWF file using Sothink SWF Decompiler, please click on the [+] of Sound folder to expand it. Select a Sound and Sothink SWF Decompiler will play it. Then pick the sound you want by checking the square box in front of it. Last, please click the "Export..." button from the tool bar and select a valid save directory. The file will be saved in the required format (.mp3 or .wav). You can choose either during exporting.
  4. How do I export a font/text/sprite/button/frame?
    In Resource panel, please click on the [+] of Font/Text/Sprite/Button/Frame folder to expand it and display the contents. Click any component to view it. Then pick the one you like by checking the square box in front of it. Last, click the "Export..." button and select a directory to save. Now you have exported it successfully. The font, text, sprite, button, frame will be exported in *SWF format.
  5. Can I export all files at once?
    Yes, Sothink SWF Decompiler supports to export all components of a SWF file at once. If you are using a registered version, you can select all folders by checking the square box in front of them and click "Export..." to get all of them at once. If this SWF file is a little large, it will take more time to export. Please wait patiently.
  6. What's the difference between unregistered and registered version?
    There is no function difference between both versions. The unregistered version is for evaluation purpose only. And it is limited to be used in 15 days since you installed the program. When the evaluation period expires, you can not use the program any longer.
  7. What's the *.gls file and how can I use it?
    When you export a shape file, Sothink SWF Decompiler will let you select to save the file in *SWF or *.gls format. The *.gls format is special for Sothink Glanda. When you export a shape file in such format, you can use this shape in Glanda. In detail, after you export the shape as *.gls file, please open Sothink Glanda and click "Shape" button to see the shape panel. In this panel, click the drop-down list and choose the folder where you saved the *.gls file. Then this file will be shown and you can use it in Sothink Glanda.
  8. Are Sothink Glanda and Sothink SWF Decompiler a same tool?
    NO. They are two different tools. Sothink Glanda is a flash movie creator and Sothink SWF Decompiler is a flash analysis tool.
  9. Is there a MAC version?
    Sorry, currently we only supply the windows version.
  10. I tried to scan a movie and Sothink SWF Decompiler generated an error, or crashed?
    Please send this error in detail report and the SWF file to support@sothink.com . This will help us to check the problem and improve the program. Thanks.


Register information

Register

If you are using the trial version of Sothink SWF Decompiler, you are licensed to use this software for evaluation purpose without charge for a period of 15 days. There is no function limitation in this trial version. If you want to continue using this software after the evaluation period, please order it through the steps as follows:

  1. Run your software. When you see the notice dialog, click the "Buy Now" button at the bottom to view your "Machine fingerprint".
  2. Then visit our order page and fill in the order form. Please also provide your "Machine fingerprint" at the same time.
  3. When your payment has been processed, you will get your "permanent key" instantly.
  4. Input the register name and key into the program's register dialog to finish your registration.

If you could not provide your fingerprint while ordering, you will get a temporary key, which can be used for 15 days. Then please send your computer fingerprint to us within the 15 days so we can send you the permanent key in time.

Please visit our web site to read FAQ about registration .

If you have any questions, please contact support@sothink.com


Unregister information

Unregister Sothink SWF Decompiler

  1. To unregister this software, please go to "Help->Registration Information";
  2. Enter the registration key, and hit the "Unregister" button.

Note : Once you unregister the software, the original key will be invalid forever even if you reinstall the software.


License

Sothink SWF Decompiler END-USER LICENSE AGREEMENT

SourceTec Software Co.,LTD END-USER LICENSE AGREEMENT

SOFTWARE PRODUCT(S) IMPORTANT-READ CAREFULLY: This SourceTec End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and SourceTec Software Co. LTD for the SourceTec software product(s) identified above. By installing, copying, or otherwise using the SOURCETEC SOFTWARE product(s) identified above, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOURCETEC SOFTWARE product(s) identified above.

1. GRANT OF LICENSE:

- Install and use. Install and use the Software on a single computer and make one copy of the Software in machine-readable form solely for backup purposes. You must reproduce on any such copy all copyright notices and any other proprietary legends on the original copy of the Software. Install the Software on a storage device, such as a network server, and run the Software on an internal network, provided the number of concurrent users does not exceed the number of copies of the Software purchased. A copy of the Software must be purchased for each such user. If you have purchased a multi-pack license for the Software product, such as a Ten-Pack license, or a license to make multiple installations of the Software, you may concurrently use the number of copies of the Software authorized by that purchase. Make copies of the End-User Product and distribute those copies for use solely by yourself or personnel employed by you, or by another party, solely for its own internal purposes.
SourceTec grants to you the non-exclusive right to use Sothink SWF Decompiler on a single computer. You may make copies of the Sothink SWF Decompiler for backup and archival purposes. SourceTec Software Co.Ltd reserves all rights not expressly granted.

- COPYRIGHT. Sothink SWF Decompiler is owned by SourceTec Software Co.Ltd. and is protected by copyright laws and international copyright treaty provisions, as well as other intellectual property laws and treaties. Therefore, you must treat Sothink SWF Decompiler like any other copyrighted material . You may not use or copy Sothink SWF Decompiler for any other purpose than what is described in this Agreement.

2. OTHER RESTRICTIONS

You may not make or distribute copies of the Software, or electronically transfer the Software from one computer to another or over a network. You may not recompile, reverse engineer, disassemble, or otherwise reduce the Software to a human-perceivable form. You may not rent, lease or sublicense the Software. You may not modify the Software or create derivative works based upon the Software.

3. TERMINATION:

Without prejudice to any other rights, SourceTec may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOURCETEC SOFTWARE product(s) identified above.

4. SUPPORT SERVICES:

SourceTec provides tech support services related to the SOURCETEC SOFTWARE product(s) identified above ("Support Services"). Use of Support Services is governed by SourceTec polices and programs described in the user manual, in online documentation, and/or other SourceTec-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to SourceTec as part of the Support Services, SourceTec may use such information for its business purposes, including for product support and development. SourceTec will not utilize such technical information in a form that personally identifies you.

5. NO WARRANTIES.

SourceTec expressly disclaims any warranty for the SOURCETEC SOFTWARE product(s) identified above. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU

6. LIMITATION OF LIABILITY.

To the maximum extent permitted by applicable law, in no event shall SourceTec or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE or the provision of or failure to provide Support Services, even if SourceTec has been advised of the possibility of such damages.

7. OTHER STIPULATE.

This EULA is governed by the laws of P.R. China. Should you have any questions concerning this EULA, or if you desire to contact SourceTec for any reason, please contact with the Email address support@Sothink.com.


Export Dialog

When you click the "Export... " button, you will see this dialog.

Path: Here shows the export directory where you want to store the exported files.

Folder button: Click the arrow besides this button, you can select "Glanda Import Path" or your "Last Export Path". If this is your first time to export file, the "Last Export Path" option will be grayed out.
Use SWF file name as the subdirectory | When you choose this option, it will create a subfolder that is in the same name with this flash file to store the exported files.
New Folder | Click this button to create a new folder in current directory.
File Format Shape file will be exported as *.gls or *.swf file by your choice. The *.gls format is used in Sothink Glanda.

Morph Shape file will be exported as *.gls or *.swf file.

Image file will be exported as jpg, bmp or swf.

Sound file will be exported in *.mp3, *.wav or *.swf format.

Video file can be exported as Flash Video (*.flv) or *.swf file.

The exported file of font, text, sprite, button, frame, misc will be exported in *.swf format.

Action file will be exported in *.txt or binary (*.bin) format.